Bug 1133329 - ASRock B75M-ITX has backlight control [NEEDINFO]
Summary: ASRock B75M-ITX has backlight control
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-24 16:52 UTC by Michael Kuhn
Modified: 2015-02-24 16:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-24 16:14:43 UTC
jforbes: needinfo?


Attachments (Terms of Use)
/sys/class/dmi/id (659 bytes, text/plain)
2014-08-24 16:52 UTC, Michael Kuhn
no flags Details

Description Michael Kuhn 2014-08-24 16:52:59 UTC
Created attachment 930164 [details]
/sys/class/dmi/id

Description of problem:
My ASRock B75M-ITX desktop board (CPU: G1610) shows a non-functioning backlight control (acpi_video0) in /sys/class/backlight.

Booting the system with video.use_native_backlight=1 does not fix the problem (acpi_video0 still shows up) but using acpi_backlight=vendor fixes it.

Version-Release number of selected component (if applicable):
kernel.x86_64                 3.16.1-300.fc20
kernel-core.x86_64            3.16.1-300.fc20
kernel-headers.x86_64         3.16.1-300.fc20
kernel-modules.x86_64         3.16.1-300.fc20
kernel-modules-extra.x86_64   3.16.1-300.fc20

Steps to Reproduce:
1. Boot system and log in to GNOME.
2. Check system menu and/or /sys/class/backlight.

Comment 1 Hans de Goede 2014-08-26 13:33:52 UTC
Hi,

Thanks for the bug-report, can you please run the following 2 commands in a shell:

ls /sys/class/backlight

As well as:

for i in /sys/class/dmi/id/*; do echo $i; cat $i 2> /dev/null; done

And copy and paste the output of both into your next comment here in bugzilla ?

Thanks,

Hans

Comment 2 Hans de Goede 2014-08-26 13:35:21 UTC
I see you've already done the /sys/class/backlight bit, so feel free to skip that :)

Comment 3 Michael Kuhn 2014-08-26 16:26:22 UTC
You can already find the contents of the files in /sys/class/dmi/id in the attachment of my first comment. Or is there something missing?

Comment 4 Justin M. Forbes 2014-11-13 16:03:03 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 5 Michael Kuhn 2014-11-23 21:44:43 UTC
This is still happening with Fedora 21.

Comment 6 Justin M. Forbes 2015-01-27 15:01:52 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.18.3-201.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 7 Fedora Kernel Team 2015-02-24 16:14:43 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.